%define name	link-grammar
%define version	4.2.5
%define cvs	%nil

%define lib_major       4
%define lib_name        %mklibname link-grammar%{lib_major}

Summary:	A syntactic parser of English
Name:		%{name}
Version:	%{version}
Release:	%mkrel 3
Group:		Office
License:	BSD-like
Source:		%{name}-%{version}.tar.xz
Patch0:		link-grammar-4.2.5-error.patch
BuildRoot:	%_tmppath/%{name}-%{version}-root
URL:		http://www.link.cs.cmu.edu/link/


%description
The Link Grammar Parser is a syntactic parser of English, based
on link grammar, an original theory of English syntax. Given a
sentence, the system assigns to it a syntactic structure, which
consists of a set of labeled links connecting pairs of words.
The parser also produces a "constituent" representation of a
sentence (showing noun phrases, verb phrases, etc.).

%package -n %{lib_name}
Summary:	A syntactic parser of English
Group:		System/Libraries

%description -n %{lib_name}
The Link Grammar Parser is a syntactic parser of English, based
on link grammar, an original theory of English syntax. Given a
sentence, the system assigns to it a syntactic structure, which
consists of a set of labeled links connecting pairs of words.
The parser also produces a "constituent" representation of a
sentence (showing noun phrases, verb phrases, etc.).

%package -n %{lib_name}-devel
Summary:	Support files necessary to compile applications with link-grammar
Group:		 Development/Libraries
Requires:	%{lib_name} = %{version}
Requires:	link-grammar
Provides:	link-grammar-devel

%description -n %{lib_name}-devel
Libraries and header files necessary to compile applications using
link-grammar.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

%build
libtoolize --ltdl -c -f
touch NEWS ChangeLog COPYING
autoreconf -fi -I ac-helpers 
echo 'AC_DEFUN([AM_BINRELOC], [])' >> alocal.m4
%configure2_5x --disable-static
# 4.1.1: parallel make is broken
make

%install
rm -rf %buildroot
%makeinstall_std
find %{buildroot} -name '*.la' -delete

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT


%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root)%{_bindir}/*
%{_datadir}/link-grammar/*

%files -n %{lib_name}
%defattr(644,root,root,755)
%{_libdir}/lib*.so.%{lib_major}
%{_libdir}/lib*.so.%{lib_major}.*

%files -n %{lib_name}-devel
%defattr(644,root,root,755)
#%{_libdir}/*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/link-grammar.pc
%{_includedir}/link-grammar


%changelog
* Thu Oct 27 2016 bb <bb> 4.2.5-3pclos2016
- rebuild against updates

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.2.5-2pclos2014
- rebuild against newer libs

* Fri Oct 21 2011 Texstar <texstar at gmail.com> 4.2.5-1pclos2011
- 4.2.5
